# Class: ServerInfoClient

## ServerInfoClient

## Constructor

#### new ServerInfoClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/serverInfo'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/serverInfo.js, line 5

### Methods

#### getServerInfo(opts, callback)

Returns general information about the current JIRA server.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options sent to the Jira API.

###### Properties

Name | Type | Attributes | Description
--- | --- | --- | ---
`doHealthCheck` | boolean | <optional> | Whether to perform a health check on the server.

`callback` |  | Called when the server info has been retrieved.

Source:
  - api/serverInfo.js, line 13